<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.ArchivableLogFiles Method
DatabaseEnvironment Class See Also Send Feedback

The names of all of the log files that are no longer in use (for example, that are no longer involved in active transactions), and that may safely be archived for catastrophic recovery and then removed from the system.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public List<string> ArchivableLogFiles(
    	bool AbsolutePaths
    )

Visual Basic (Declaration)

    Public Function ArchivableLogFiles ( _
    	AbsolutePaths As Boolean _
    ) As List(Of String)

Visual C++

    public:
    List<String^>^ ArchivableLogFiles(
    	bool AbsolutePaths
    )

#### Parameters

AbsolutePaths
  Type: System..::.Boolean
  If true, all pathnames are returned as absolute pathnames, instead of relative to the database home directory.

#### Return Value

The names of all of the log files that are no longer in use

# Remarks

The Berkeley DB interfaces to the database environment logging subsystem (for example, Abort()()()) may allocate log cursors and have open file descriptors for log files as well. On operating systems where filesystem related system calls (for example, rename and unlink on Windows/NT) can fail if a process has an open file descriptor for the affected file, attempting to move or remove the log files listed by ArchivableLogFiles may fail. All Berkeley DB internal use of log cursors operates on active log files only and furthermore, is short-lived in nature. So, an application seeing such a failure should be restructured to retry the operation until it succeeds. (Although this is not likely to be necessary; it is hard to imagine a reason to move or rename a log file in which transactions are being logged or aborted.)

When Replication Manager is in use, log archiving is performed in a replication group-aware manner such that the log file status of other sites in the group are examined to determine if a log file could be in use.

See the db_archive utility for more information on database archival procedures.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace